Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType bodyType

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType (extension)
                |
                +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType (extension)
                     |
                     +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}bodyType (extension)

Properties
  This component is not nillable.

Model
  `<...
  id = xs:string
  presentationClass = xs:string
  presentationId = xs:string
  presentationStyle = xs:string
  properties = xs:string
  skeletonUri = xs:string
  tagName = xs:string>
  (header?, (portletInstance | abstractContent)* , (bookContent | break | book | theme | (any element from namespace http://www.w3.org/1999/xhtml-netuix-modified/1.0.0)) , (portletInstance | abstractContent)* , footer? )
  </...>`

Nested Element Summary
`` | `abstractContent`
`` | `abstractContent`
`` | `book`
`` | `bookContent`
`` | `break`
`` | `footer`
`` | `header`
`` | `portletInstance`
`` | `portletInstance`
`` | `theme`

Attribute Summary
`xs:string` | `id`
`xs:string` | `presentationClass`
`xs:string` | `presentationId`
`xs:string` | `presentationStyle`
`xs:string` | `properties`
`xs:string` | `skeletonUri`
`xs:string` | `tagName`

Attribute Detail

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationClass

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationStyle

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### properties

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### skeletonUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### tagName

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:complexType name="bodyType">
        <xs:complexContent>
          <xs:extension base="presentationControlType">
            <xs:sequence>
              <xs:element minOccurs="0" ref="header"/>
              <xs:choice maxOccurs="unbounded" minOccurs="0">
                <xs:element ref="portletInstance"/>
                <xs:element ref="abstractContent"/>
              </xs:choice>
              <xs:choice>
                <xs:element ref="bookContent"/>
                <xs:element ref="break"/>
                <xs:element ref="book"/>
                <xs:element name="theme">
                  <xs:complexType>
                    <xs:complexContent>
                      <xs:extension base="themeType">
                        <xs:sequence>
                          <xs:choice>
                            <xs:element ref="book"/>
                            <xs:element ref="bookContent"/>
                          </xs:choice>
                        </xs:sequence>
                      </xs:extension>
                    </xs:complexContent>
                  </xs:complexType>
                </xs:element>
                <xs:any namespace="http://www.w3.org/1999/xhtml-netuix-modified/1.0.0"/>
              </xs:choice>
              <xs:choice maxOccurs="unbounded" minOccurs="0">
                <xs:element ref="portletInstance"/>
                <xs:element ref="abstractContent"/>
              </xs:choice>
              <xs:element minOccurs="0" ref="footer"/>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation